Bug 222478 - Review Request: sofsip-cli - SIP VoIP/IM example client
Review Request: sofsip-cli - SIP VoIP/IM example client
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On: 222475
  Show dependency treegraph
Reported: 2007-01-12 14:55 EST by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.13-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-12 19:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2007-01-12 14:55:52 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/sofsip-cli-0.12-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/sofsip-cli-0.12-1.fc6.src.rpm

This is a simple SIP VoIP/IM example client demonstrating how to use
the Sofia-SIP libsofia-sip-ua library interfaces.
Comment 1 Jason Tibbitts 2007-06-30 15:39:11 EDT
sofia-sip is essentially done; I've placed it in a local repo so that I can
build this.

Hmm, a new version just came out within the last month.  I went ahead and bumped
the version and rebuilt just to make sure there were no major changes;
everything seems fine to me so I'll just approve this package and you can update
it when you check in.

For a CLI application, this sure has an amazing dependency list, including all
of X.  I guess that all comes along with the gstreamer-plugins requirements.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
X latest version is 0.13
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   sofsip-cli = 0.12-1.fc8
* %check is not present; no test suite upstream.  Frankly I have no idea how to 
   test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 2 Jeffrey C. Ollie 2007-06-30 19:37:05 EDT
Thanks for the review!  I'll be sure and update to the latest version before

New Package CVS Request
Package Name: sofsip-cli
Short Description: SIP VoIP/IM example client
Owners: jeff@ocjtech.us
Branches: devel F-7 FC-6
Comment 3 Jeffrey C. Ollie 2007-06-30 19:41:16 EDT
Oops... forgot to set the CVS flag...

New Package CVS Request
Package Name: sofsip-cli
Short Description: SIP VoIP/IM example client
Owners: jeff@ocjtech.us
Branches: devel F-7 FC-6

Comment 4 Kevin Fenzi 2007-07-02 15:10:12 EDT
cvs done.
Comment 5 Jason Tibbitts 2007-07-10 20:32:42 EDT
Any reason this hasn't been built yet?
Comment 6 Jeffrey C. Ollie 2007-07-10 21:51:21 EDT
I've been trying to figure out some problems with the build of sofia-sip - the
tests fail when being built with koji on the buildsystem and ppc64 won't build.
Comment 7 Fedora Update System 2007-07-12 19:38:11 EDT
sofsip-cli-0.13-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.